commit 5a154443c75ced83386c009f0baa3eb66771bfd3
Author: freddy77 <freddy77>
Date:   Sun Jul 25 07:49:00 2010 +0000

    cleanup unused declarations

diff --git a/ChangeLog b/ChangeLog
index d6723f4..32fef44 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Sun Jul 25 09:48:50 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/ctlib/ct.c src/tds/mem.c:
+	- cleanup unused declarations
+
 Sat Jul 24 14:40:44 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/iconv.c: avoid overflow skipping wrong characters
 
@@ -2751,4 +2755,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3092 2010/07/24 12:41:01 freddy77 Exp $
+$Id: ChangeLog,v 1.3093 2010/07/25 07:49:00 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 8813fbe..68990b6 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.338 2010/07/02 18:57:32 freddy77 Exp $ */
+/* $Id: tds.h,v 1.339 2010/07/25 07:49:01 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -375,24 +375,6 @@ enum {
 	TDS_CUR_ISTAT_DEALLOC   = 0x40
 };
 
-/* 
- * Cursor Declare, SetRows, Open and Close all return 0x83 token. 
- * But only SetRows includes the rowcount (4 byte) in the stream. 
- * So for Setrows we read the rowcount from the stream and not for others. 
- * These values are useful to determine when to read the rowcount from the packet
- */
-#define IS_DECLARE  100
-#define IS_CURROW   200
-#define IS_OPEN     300
-#define IS_CLOSE    400
-
-/* states for tds_process_messages() */
-#define PROCESS_ROWS    0
-#define PROCESS_RESULTS 1
-#define CANCEL_PROCESS  2
-#define GOTO_1ST_ROW    3
-#define LOGIN           4
-
 /* environment type field */
 #define TDS_ENV_DATABASE  	1
 #define TDS_ENV_LANG      	2
@@ -1360,7 +1342,6 @@ struct tds_socket
 	TDSDYNAMIC *cur_dyn;		/**< dynamic structure in use */
 	TDSDYNAMIC *dyns;		/**< list of dynamic allocate for this connection */
 
-	char *date_fmt;
 	const TDSCONTEXT *tds_ctx;
 	int char_conv_count;
 	TDSICONV **char_convs;
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index e103f55..df16d6d 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.204 2010/04/26 09:09:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.205 2010/07/25 07:49:01 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -628,11 +628,12 @@ ct_connect(CS_CONNECTION * con, CS_CHAR * servername, CS_INT snamelen)
 			if (!tds_dstr_copy(&connection->language, con->locale->language)) 
 				goto Cleanup;
 		}
-		if (con->locale->time) {
-			free(con->tds_socket->date_fmt);
+		if (con->locale->time && con->tds_socket->tds_ctx) {
+			TDSLOCALE *locale = con->tds_socket->tds_ctx->locale;
+			free(locale->date_fmt);
 			/* TODO convert format from CTLib to libTDS */
-			con->tds_socket->date_fmt = strdup(con->locale->time);
-			if (!con->tds_socket->date_fmt)
+			locale->date_fmt = strdup(con->locale->time);
+			if (!locale->date_fmt)
 				goto Cleanup;
 		}
 		/* TODO how to handle this?
diff --git a/src/tds/mem.c b/src/tds/mem.c
index de4a355..14a9bd2 100644
--- a/src/tds/mem.c
+++ b/src/tds/mem.c
@@ -53,7 +53,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: mem.c,v 1.203 2010/07/21 20:12:18 freddy77 Exp $");
+TDS_RCSID(var, "$Id: mem.c,v 1.204 2010/07/25 07:49:01 freddy77 Exp $");
 
 static void tds_free_env(TDSSOCKET * tds);
 static void tds_free_compute_results(TDSSOCKET * tds);
@@ -1149,7 +1149,6 @@ tds_free_socket(TDSSOCKET * tds)
 		tds_ssl_deinit(tds);
 #endif
 		tds_close_socket(tds);
-		free(tds->date_fmt);
 		tds_iconv_free(tds);
 		free(tds->product_name);
 		free(tds);

